Go to the latest version of this document.

# ``twisted`.`web`.`wsgi`.`_ErrorStream``

class documentation

`class _ErrorStream: (source)`

View In Hierarchy

File-like object instances of which are used as the value for the `'wsgi.errors'` key in the `environ` dictionary passed to the application object.

This simply passes writes on to `logging` system as error events from the `'wsgi'` system. In the future, it may be desirable to expose more information in the events it logs, such as the application object which generated the message.

Method | `flush` | Nothing is buffered, so flushing does nothing. This method is required to exist by PEP 333, though.
Method | `write` | Generate an event for the logging system with the given bytes as the message.
Method | `writelines` | Join the given lines and pass them to `write` to be handled in the usual way.
Class Variable | `_log` | Undocumented

def flush(self): (source)

Nothing is buffered, so flushing does nothing. This method is required to exist by PEP 333, though.

This is called in a WSGI application thread, not the I/O thread.

def write(self, data: `str`): (source)

Generate an event for the logging system with the given bytes as the message.

This is called in a WSGI application thread, not the I/O thread.

Parameters
data:str | Undocumented

Raises
`TypeError` | if `data` is not a native string.

def writelines(self, iovec: `list[str]`): (source)

Join the given lines and pass them to `write` to be handled in the usual way.

This is called in a WSGI application thread, not the I/O thread.

Parameters
iovec:`list[str]` | A `list` of `'\n'`-terminated `str` which will be logged.

Raises
`TypeError` | if `iovec` contains any non-native strings.

_log = (source)

Undocumented